import { Risk } from '../API';
import { CRUDService, ICrudService } from '../core';
export declare class RiskService extends CRUDService<Risk> {
    protected hasOneModels: ICrudService<Risk>['hasOneModels'];
    get get(): (id: string, options?: Omit<import("@apollo/client").QueryOptions<import("../API").Exact<{
        id: string;
    }>, import("../API").RiskGetQuery>, "query">) => Promise<{
        __typename?: "Risk";
        id: string;
        organizationID: string;
        value?: string;
        sortIndex?: number;
    }>;
    get useGet(): (options: import("../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").RiskGetQuery, import("../API").Exact<{
        id: string;
    }>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").RiskGetQuery, import("../API").Exact<{
            id: string;
        }>>;
        data: import("../API").RiskGetQuery;
        previousData?: import("../API").RiskGetQuery;
        error?: import("@apollo/client").ApolloError;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        variables: import("../API").Exact<{
            id: string;
        }>;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").RiskGetQuery, TSubscriptionVariables = import("../API").Exact<{
            id: string;
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").RiskGetQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars = import("../API").Exact<{
            id: string;
        }>>(mapFn: (previousQueryResult: import("../API").RiskGetQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").RiskGetQuery>, "variables">) => import("../API").RiskGetQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            id: string;
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").RiskGetQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            id: string;
        }>, import("../API").RiskGetQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").RiskGetQuery>>;
        fetchMore: <TFetchData = import("../API").RiskGetQuery, TFetchVars = import("../API").Exact<{
            id: string;
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").RiskGetQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").RiskGetQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get list(): (input: import("../API").Exact<{
        filter?: import("../API").RiskFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").RiskSort | import("../API").RiskSort[];
    }>, options?: import("../core").ServiceQueryOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").RisksListQuery, import("../API").Exact<{
        filter?: import("../API").RiskFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").RiskSort | import("../API").RiskSort[];
    }>>>) => Promise<{
        __typename?: "RiskConnection";
        totalCount: number;
        edges: {
            __typename?: "RiskEdge";
            cursor: any;
            node: {
                __typename?: "Risk";
                id: string;
                organizationID: string;
                value?: string;
                sortIndex?: number;
            };
        }[];
        pageInfo: {
            __typename?: "PageInfo";
            endCursor?: any;
            hasNextPage?: boolean;
            hasPreviousPage?: boolean;
            startCursor?: any;
        };
    }>;
    get useList(): (options: import("../core").CacheUpdateOptions<import("../core").ServiceQueryHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").RisksListQuery, import("../API").Exact<{
        filter?: import("../API").RiskFilter;
        paging?: import("../API").CursorPaging;
        sorting?: import("../API").RiskSort | import("../API").RiskSort[];
    }>>>>) => {
        isLoading: boolean;
        isRefetching: boolean;
        hasMore: any;
        refetching: boolean;
        client: import("@apollo/client").ApolloClient<any>;
        observable: import("@apollo/client").ObservableQuery<import("../API").RisksListQuery, import("../API").Exact<{
            filter?: import("../API").RiskFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").RiskSort | import("../API").RiskSort[];
        }>>;
        data: import("../API").RisksListQuery;
        previousData?: import("../API").RisksListQuery;
        error?: import("@apollo/client").ApolloError;
        loading: boolean;
        networkStatus: import("@apollo/client").NetworkStatus;
        called: boolean;
        variables: import("../API").Exact<{
            filter?: import("../API").RiskFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").RiskSort | import("../API").RiskSort[];
        }>;
        startPolling: (pollInterval: number) => void;
        stopPolling: () => void;
        subscribeToMore: <TSubscriptionData = import("../API").RisksListQuery, TSubscriptionVariables = import("../API").Exact<{
            filter?: import("../API").RiskFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").RiskSort | import("../API").RiskSort[];
        }>>(options: import("@apollo/client").SubscribeToMoreOptions<import("../API").RisksListQuery, TSubscriptionVariables, TSubscriptionData>) => () => void;
        updateQuery: <TVars = import("../API").Exact<{
            filter?: import("../API").RiskFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").RiskSort | import("../API").RiskSort[];
        }>>(mapFn: (previousQueryResult: import("../API").RisksListQuery, options: Pick<import("@apollo/client").WatchQueryOptions<TVars, import("../API").RisksListQuery>, "variables">) => import("../API").RisksListQuery) => void;
        refetch: (variables?: Partial<import("../API").Exact<{
            filter?: import("../API").RiskFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").RiskSort | import("../API").RiskSort[];
        }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").RisksListQuery>>;
        reobserve: (newOptions?: Partial<import("@apollo/client").WatchQueryOptions<import("../API").Exact<{
            filter?: import("../API").RiskFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").RiskSort | import("../API").RiskSort[];
        }>, import("../API").RisksListQuery>>, newNetworkStatus?: import("@apollo/client").NetworkStatus) => Promise<import("@apollo/client").ApolloQueryResult<import("../API").RisksListQuery>>;
        fetchMore: <TFetchData = import("../API").RisksListQuery, TFetchVars = import("../API").Exact<{
            filter?: import("../API").RiskFilter;
            paging?: import("../API").CursorPaging;
            sorting?: import("../API").RiskSort | import("../API").RiskSort[];
        }>>(fetchMoreOptions: import("@apollo/client").FetchMoreQueryOptions<TFetchVars, TFetchData> & {
            updateQuery?: (previousQueryResult: import("../API").RisksListQuery, options: {
                fetchMoreResult: TFetchData;
                variables: TFetchVars;
            }) => import("../API").RisksListQuery;
        }) => Promise<import("@apollo/client").ApolloQueryResult<TFetchData>>;
    };
    get create(): (input: Partial<Record<"needs" | "plusOnes", import("../../..").ModelWithId[]> & Record<"organization", import("../../..").ModelWithId>> & Omit<import("../API").CreateRisk, "needs" | "organization" | "plusOnes">, options?: import("../core").MutationOptionsWithoutMutation<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").RiskCreateOneMutation, import("../API").Exact<{
        input: import("../API").CreateRisk;
    }>>>) => Promise<{
        __typename?: "Risk";
        id: string;
        organizationID: string;
        value?: string;
        sortIndex?: number;
    }>;
    get useCreate(): (options?: import("../core").CacheUpdateOptions<import("../core").ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").RiskCreateOneMutation, import("../API").Exact<{
        input: import("../API").CreateRisk;
    }>>>>) => [(payload: import("../core").InputAndRelations<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").RiskCreateOneMutation, import("../API").Exact<{
        input: import("../API").CreateRisk;
    }>>, Risk>) => Promise<{
        __typename?: "Risk";
        id: string;
        organizationID: string;
        value?: string;
        sortIndex?: number;
    }>, import("@apollo/client").MutationResult<any>];
    get update(): (input: Partial<Record<"needs" | "plusOnes", import("../../..").ModelWithId[]> & Record<"organization", import("../../..").ModelWithId>> & Omit<import("../API").UpdateRisk, "needs" | "organization" | "plusOnes"> & {
        id: string;
    }, options?: import("../core").MutationOptionsWithoutMutation<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").RiskUpdateOneMutation, import("../API").Exact<{
        input: import("../API").UpdateOneRiskInput;
    }>>>) => Promise<{
        __typename?: "Risk";
        id: string;
        organizationID: string;
        value?: string;
        sortIndex?: number;
    }>;
    get useUpdate(): (mainOptions?: import("../core").CacheUpdateOptions<import("../core").ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").RiskUpdateOneMutation, import("../API").Exact<{
        input: import("../API").UpdateOneRiskInput;
    }>>>>) => [({ id, ...input }: Partial<Record<"needs" | "plusOnes", import("../../..").ModelWithId[]> & Record<"organization", import("../../..").ModelWithId>> & import("../API").UpdateRisk & {
        id: string;
    }, options?: import("../core").CacheUpdateOptions<import("../core").ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").RiskUpdateOneMutation, import("../API").Exact<{
        input: import("../API").UpdateOneRiskInput;
    }>>>>) => Promise<any>, import("@apollo/client").MutationResult<any>];
    get delete(): (id: string, options?: import("../core").MutationOptionsWithoutMutation<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").RiskDeleteOneMutation, import("../API").Exact<{
        input: import("../API").DeleteOneRiskInput;
    }>>>) => Promise<{
        __typename?: "RiskDeleteResponse";
        id?: string;
    }>;
    get useDelete(): (options?: import("../core").ServiceMutationHookOptions<import("@graphql-typed-document-node/core").TypedDocumentNode<import("../API").RiskDeleteOneMutation, import("../API").Exact<{
        input: import("../API").DeleteOneRiskInput;
    }>>>) => [(id?: string) => Promise<{
        __typename?: "RiskDeleteResponse";
        id?: string;
    }>, import("@apollo/client").MutationResult<import("../API").RiskDeleteOneMutation>];
}
